import { MessageChatTypeEnum } from '@12333/constants';
import { MaybeRef } from 'vue';
import { useUser, useIsLogin } from './user';
import { useMyMessageCount as useMyMessageCountInner } from '@12333/hooks';

type UseMyMessageCountOptions = {
  messageChatType?: MaybeRef<MessageChatTypeEnum>;
};

export function useMyMessageCount(options: UseMyMessageCountOptions = {}) {
  const { messageChatType } = options;
  const isLogin = useIsLogin();

  return useMyMessageCountInner({
    messageChatType,
    enabled: isLogin,
    isContainLikeFavoriteAddFollowMessageCount: false,
  });
}
